Groovy 1.7.0

## org.codehaus.groovy.binding
Class ClosureTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureTriggerBinding

All Implemented Interfaces:
  TriggerBinding

    class ClosureTriggerBinding
    extends Object

Field Summary
`Closure` | `closure`
`Map` | `syntheticBindings`

Constructor Summary
`ClosureTriggerBinding(Map syntheticBindings)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### closure

    Closure closure

### syntheticBindings

    Map syntheticBindings

Constructor Detail

### ClosureTriggerBinding

    public ClosureTriggerBinding(Map syntheticBindings)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getClosure

    public Closure getClosure()

### getSourceValue

    public Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

Copyright © 2003-2009 The Codehaus. All rights reserved.